%global pypi_name tkintermapview


Name:           python-%{pypi_name}
Version:        1.28
Release:        1%{?dist}
Summary:        Python tkinter widget to display image tile maps
License:        CC0-1.0
URL:            https://github.com/TomSchimansky/TkinterMapView
Source:         %{pypi_source %{pypi_name} %{version}}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pillow-tk

%global _description %{expand:
TkinterMapView is a tile based interactive map renderer widget for the Python
tkinter package.}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}
Requires:       python3-pillow-tk

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%generate_buildrequires
%pyproject_buildrequires 


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pyproject_check_import


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Fri Mar 17 2023 David Ward <david.ward@ll.mit.edu> - 1.28-1
- Initial package.
